> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Opentable Reviews

> This endpoint is used to fetch reviews from opentable for a specified business.



## OpenAPI

````yaml POST /opentable/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /opentable/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from opentable for a specified
        business.
      requestBody:
        description: opentable review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpentableReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpentableReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    OpentableReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Opentable Review url.
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sort_type:
          type: string
          description: Order in which reviews should be sorted
          enum:
            - newestReview
            - highestRating
            - lowestRating
          default: newestReview
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    OpentableReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_city:
                type: string
                description: City of the review author
              author_name:
                type: string
                description: Name of the review author
              author_review_count:
                type: integer
                description: Number of reviews written by the author
              category_rating:
                type: object
                properties:
                  ambience:
                    type: integer
                    description: Rating for ambience
                  food:
                    type: integer
                    description: Rating for food
                  noise:
                    type: string
                    description: Noise level description
                  service:
                    type: integer
                    description: Rating for service
                  value:
                    type: integer
                    description: Rating for value
                description: Category-wise ratings breakdown
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the review was posted
              review_id:
                type: string
                description: ID of the review
              review_media:
                type: array
                items:
                  review_media_type: string
                  review_media_url: string
                description: ' URL and type of the media'
              review_image_urls:
                type: array
                description: Array of image URLs associated with the review
                items:
                  type: string
              review_rating:
                type: integer
                description: Overall rating given in the review
              review_text:
                type: string
                description: Content of the review
              review_time_stamp:
                type: string
                description: Timestamp of the review
              review_type:
                type: string
                description: Type of review verification
              downvote_count:
                type: integer
                description: Number of downvotes for the review
              upvote_count:
                type: integer
                description: Number of upvotes for the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````